Utopia PaymentsDocs
Events

List events

GET
/events

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string

The next_cursor of the previous page.

type?unknown

Value in

  • "payment.succeeded"
  • "payment.failed"
  • "refund.succeeded"
  • "subscription.active"
  • "subscription.renewed"
  • "subscription.on_hold"
  • "subscription.cancelled"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/events"
{  "items": [    {      "object": "event",      "event_id": "evt_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "type": "string",      "livemode": true,      "created_at": "2019-08-24T14:15:22Z",      "data": {}    }  ],  "has_more": true,  "next_cursor": "string"}